Subject: 27.0.50; Emacs freezes opening tabs.

From: Ergus <[email-masked]>
Date: Sat, 2 Nov 2019 22:41:35 +0100

Hi when using emacs in gui I can't open a new tab if I add these lines
to my config:

(set-face-attribute 'tab-bar nil
        :background "#000000" :foreground "#e5e5e5"
        :inverse-video nil)

(set-face-attribute 'tab-bar-tab nil
        :weight 'ultra-bold :underline t)

(set-face-attribute 'tab-bar-tab-inactive nil
        :background "#000000" :foreground "#ffffff"
        :weight 'normal :underline nil)

In tui there is no problem and in gdb I get this backtrace:

==================================

In gdb the bt shows:

#0  0x000055addb2b837f in mark_object (arg=<optimized out>) at ../../src/alloc.c:6583
#1  0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b16ae700) at ../../src/alloc.c:6157
#2  0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#3  0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b16ae660) at ../../src/alloc.c:6157
#4  0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#5  0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b16ab3f8) at ../../src/alloc.c:6157

(repeats this until)

#1968 0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b167e4e0) at ../../src/alloc.c:6157
#1969 0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#1970 0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b1bc0f28) at ../../src/alloc.c:6157
#1971 0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#1972 0x000055addb2b8169 in visit_vectorlike_root (type=GC_ROOT_BUFFER_LOCAL_DEFAULT, ptr=<optimized out>, visitor=...) at ../../src/alloc.c:5693
#1973 0x000055addb2b8169 in visit_buffer_root (type=GC_ROOT_BUFFER_LOCAL_DEFAULT, buffer=<optimized out>, visitor=...) at ../../src/alloc.c:5708
#1974 0x000055addb2b8169 in visit_static_gc_roots (visitor=...) at ../../src/alloc.c:5720
#1975 0x000055addb2b9761 in garbage_collect () at ../../src/alloc.c:5941
#1976 0x000055addb2ba121 in maybe_garbage_collect () at ../../src/alloc.c:5853
#1977 0x000055addb2d6475 in maybe_gc () at ../../src/lisp.h:5061
#1978 0x000055addb2d6475 in Ffuncall (nargs=4, args=0x7ffc4de5fca0) at ../../src/eval.c:2778
#1979 0x000055addb2d9164 in call3 (fn=<optimized out>, arg1=arg1@entry=0x55addd037973, arg2=<optimized out>, arg3=arg3@entry=0x0) at ../../src/eval.c:2668

#1980 0x000055addb265012 in cmd_error_internal (data=data@entry=0x55addd037973, context=context@entry=0x7ffc4de5fd00 "") at ../../src/lisp.h:3935
#1981 0x000055addb26514d in cmd_error (data=0x55addd037973) at ../../src/keyboard.c:953
#1982 0x000055addb2d5719 in internal_condition_case
      (bfun=bfun@entry=0x55addb26e140 <command_loop_1>, handlers=handlers@entry=0x90, hfun=hfun@entry=0x55addb265040 <cmd_error>) at ../../src/eval.c:1351
#1983 0x000055addb25fc24 in command_loop_2 (ignore=ignore@entry=0x0) at ../../src/lisp.h:1032

#1984 0x000055addb2d5681 in internal_catch (tag=tag@entry=0xd4d0, func=func@entry=0x55addb25fc00 <command_loop_2>, arg=arg@entry=0x0) at ../../src/eval.c:1116
#1985 0x000055addb25fbcb in command_loop () at ../../src/lisp.h:1032
#1986 0x000055addb264c56 in recursive_edit_1 () at ../../src/keyboard.c:714
#1987 0x000055addb264f82 in Frecursive_edit () at ../../src/keyboard.c:786
#1988 0x000055addb186910 in main (argc=1, argv=<optimized out>) at ../../src/emacs.c:2055

===================================

In GNU Emacs 27.0.50 (build 8, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
  of 2019-11-02 built on Ergus
Repository revision: 9b1c00b3ca1a1f841cdcfd880536b0dc7669738a
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Arch Linux

Recent messages:
Loading /home/ergo/.emacs.d/custom.el (source)...done
Starting new Ispell process /usr/bin/aspell with default dictionary...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Load time 0.819347
Making completion list...
user-error: End of history; no default available [3 times]

Configured using:
  'configure --prefix=/mnt/casa/install_arch/emacs --with-x-toolkit=gtk3
  --with-xft --with-modules --with-mailutils'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction